Bug 2001641 - Syntax error appears to breaks the ovn egressFirewall policy during the cluster upgrade
Summary: Syntax error appears to breaks the ovn egressFirewall policy during the clust...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
: 4.8.z
Assignee: Riccardo Ravaioli
QA Contact: huirwang
URL:
Whiteboard:
Depends On: 1997438
Blocks: 2001998
TreeView+ depends on / blocked
 
Reported: 2021-09-06 15:56 UTC by Riccardo Ravaioli
Modified: 2021-09-22 02:54 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1997438
Environment:
Last Closed: 2021-09-21 08:02:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 722 0 None None None 2021-09-09 09:33:53 UTC
Red Hat Product Errata RHBA-2021:3511 0 None None None 2021-09-21 08:02:58 UTC

Comment 2 zhaozhanqi 2021-09-10 10:57:48 UTC
setup cluster with 4.7.11 version which default is local gateway and upgrade to 4.8 fixed version. it will upgrade to share gateways.  this issue can be veirified

However if we setup 4.7.29 version with local gateway config map specified before setup the cluster.  and then upgrade to 4.8 fixed version, the cluster still be local gateways, then there is another issue https://bugzilla.redhat.com/show_bug.cgi?id=2002958

Comment 8 errata-xmlrpc 2021-09-21 08:02:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.12 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3511


Note You need to log in before you can comment on or make changes to this bug.